SDL_IOvprintf(3)

NAME
SDL_IOvprintf - Print to an SDL_IOStream
 data stream.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_IOvprintf(SDL_IOStream *context, const char *fmt, va_list ap);

DESCRIPTION
This function does formatted printing to the stream.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream
     structure.

fmt a printf() style format string.

ap  a variable argument list.

RETURN VALUE
Returns the number of bytes written or 0 on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_IOprintf(3), •(3), SDL_WriteIO(3)